package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.util.List;

/**
 * 首頁營業數據
 */
public class MainBusinessBean {

    /**
     * success : true
     * sysTime : 1583994555935
     * data : [{"date":"2020-03-11","totalAmount":0,"person":186,"num":46,"price":4619},{"date":"2020-03-12","totalAmount":0,"person":0,"num":0,"price":2614}]
     */

    private boolean success;
    private long sysTime;
    private List<DataBean> data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * date : 2020-03-11 時間
         * totalAmount : 0 今日營業額
         * person : 186  人數
         * num : 46 訂單數
         * price : 4619 項目銷售總金額
         */

        private String date;//首頁信息時間，，其他地方為空
        private String startingTime;//營業分析報表時間，其他地方為空
        private float totalAmount;//今日營業額 淨值
        private int person;
        private int num;
        private float price;//項目銷售總金額

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public float getTotalAmount() {
            return totalAmount;
        }

        public void setTotalAmount(float totalAmount) {
            this.totalAmount = totalAmount;
        }

        public int getPerson() {
            return person;
        }

        public void setPerson(int person) {
            this.person = person;
        }

        public int getNum() {
            return num;
        }

        public void setNum(int num) {
            this.num = num;
        }

        public float getPrice() {
            return price;
        }

        public void setPrice(float price) {
            this.price = price;
        }

        public String getStartingTime() {
            return startingTime;
        }

        public void setStartingTime(String startingTime) {
            this.startingTime = startingTime;
        }
    }
}
